Skip to main content
PATCH
/
basins
/
{basin}
Reconfigure a basin.
curl --request PATCH \
  --url https://aws.s2.dev/v1/basins/{basin} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "create_stream_on_append": false,
  "create_stream_on_read": false,
  "default_stream_config": {
    "delete_on_empty": {
      "min_age_secs": 1
    },
    "retention_policy": {
      "age": 1
    },
    "storage_class": "standard",
    "timestamping": {
      "mode": "client-prefer",
      "uncapped": true
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your access token.

Path Parameters

basin
string
required

Basin name.

Required string length: 8 - 48

Body

application/json
create_stream_on_append
boolean | null

Create a stream on append.

create_stream_on_read
boolean | null

Create a stream on read.

default_stream_config
object

Basin configuration.

Response

create_stream_on_append
boolean
default:false

Create stream on append if it doesn't exist, using the default stream configuration.

create_stream_on_read
boolean
default:false

Create stream on read if it doesn't exist, using the default stream configuration.

default_stream_config
object

Default stream configuration.